/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.ArticuloSala;
import com.cosmodas.EntCosmos.Cargos;
import com.cosmodas.EntCosmos.DetalleFactura;
import com.cosmodas.EntCosmos.Facturas;
import com.cosmodas.EntCosmos.Productosucursal;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 * @author obper
 */
@Stateless
public class daoGuardaFacturas implements daoGuardaFacturasLocal {
    @PersistenceContext(unitName = "wcosmodasPersistent")
    EntityManager em;

    @Override
    public void guardarCargo(Cargos cargos) {
        em.persist(cargos);
    }

    @Override
    public void guardarFactura(Facturas factura) {
        em.persist(factura);
    }

    @Override
    public void guardarDetalleFactura(DetalleFactura detalleFactura) {
        em.persist(detalleFactura);

    }

    @Override
    public void editaProductoSucursal(Productosucursal productoSucursal) {
        em.merge(productoSucursal);
    }

    @Override
    public void editaArticuloSala(ArticuloSala articuloSala) {
        em.merge(articuloSala);
    }


}
